commit:     c680631ca7b5b48ce6e19e245bcff08810258e3f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 14 07:11:53 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 17:52:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c680631c

dev-ruby/date_validator: add 0.9.0

Package-Manager: portage-2.2.26

 dev-ruby/date_validator/Manifest                   |  1 +
 .../date_validator/date_validator-0.9.0.ebuild     | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-ruby/date_validator/Manifest b/dev-ruby/date_validator/Manifest
index 00d3e3f..13297d6 100644
--- a/dev-ruby/date_validator/Manifest
+++ b/dev-ruby/date_validator/Manifest
@@ -1,2 +1,3 @@
 DIST date_validator-0.8.0.gem 12288 SHA256 
5dc797d1508954955863e8a5d6c00691cd77483c91a094ac32b53d5afb9093e2 SHA512 
383faff0dde846c40b554017ff342aee128d8600cd8a32735c8d1eb47578e471664c64f7b833a33d6b7e85d3c40b41e35cb951a1318e1b558b05d17e87c8da98
 WHIRLPOOL 
edeebaefd3e674b3063fc714b811586f026ae9119d34416feb13f8ea4f98392867f1ec6f9b3ac881eba530fe8da529096295cf7c0111fac65d37798e97651956
 DIST date_validator-0.8.1.gem 12288 SHA256 
c8d5df377dfb45d6cd8cc0fa0e170d637bdacd423da465ea0f9c658a5745d0cb SHA512 
5d894d71853e6f435ba15e2f7f980e982a92ebfae5d7b35acc1b60080b07c44004024e22780afaccaf9cd3b60655e241e633098dfbf2909d5a2316ceb25d9c28
 WHIRLPOOL 
544d316c05ec222f5319c6c1daaa1c80544efcddbe467a97dd1c8341be326e7acb2694987b36d0042ffc6af6f72130b04ecbf99aa4876c339f67ae5ec2843ee5
+DIST date_validator-0.9.0.gem 12288 SHA256 
de831fc89eca4d0e96c7e007b818038f027e2e651a453a0f74eb70212860516d SHA512 
da7c06d22375cb5ce0e3a1c7d8c84d03c60f5564329d7a6adca4448d386bd26341786e97e6d74d6c7ba820c4437fe88f6dea1e20312b07714f28557bb863c051
 WHIRLPOOL 
e3f7f8cd033fa479e4d2d19f4827e769aa551392485059eb60c7dc283bf103a8de3f1c6067b6d5c2d9d1f7739b35d2d29949775826b4329c51947bc6f82c3d2b

diff --git a/dev-ruby/date_validator/date_validator-0.9.0.ebuild 
b/dev-ruby/date_validator/date_validator-0.9.0.ebuild
new file mode 100644
index 0000000..53d1866
--- /dev/null
+++ b/dev-ruby/date_validator/date_validator-0.9.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_TASK_DOC="docs"
+RUBY_FAKEGEM_EXTRADOC="Readme.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+# if ever needed
+#GITHUB_USER="codegram"
+#GITHUB_PROJECT="${PN}"
+#RUBY_S="${GITHUB_USER}-${GITHUB_PROJECT}-*"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, ORM agnostic, Ruby 1.9 compatible date validator for 
Rails 3"
+HOMEPAGE="https://github.com/codegram/date_validator";
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activemodel-3.0:*
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/minitest
+               >=dev-ruby/tzinfo-0.3
+               >=dev-ruby/activesupport-3.0
+       )
+       doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+       sed -i \
+               -e '/git ls-files/d' \
+               ${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -i \
+               -e '/[Bb]undler/s/^/#/' Rakefile || die
+       # Fix tests
+       sed -i -e "1irequire 'active_support'" test/test_helper.rb || die
+}

Reply via email to